---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: postamates-worker
  namespace: spatial
  labels:
    app.kubernetes.io/name: postamates-worker
spec:
  replicas: 1
  selector:
    matchLabels:
      app.kubernetes.io/name: postamates-worker
  template:
    metadata:
      labels:
        app.kubernetes.io/name: postamates-worker
    spec:
      containers:
      - name: worker
        image: DEPLOY_IMAGE_TAG
        command: ["sh", "-c", "celery -A postamates.celery:app worker", "-l", "info", "--concurrency=1"]
        envFrom:
          - configMapRef:
              name: postamates-configmap
        resources:
          requests:
            memory: "3000Mi"
            cpu: "500m"
          limits:
            memory: "3000Mi"
            cpu: "500m"
